@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Noto+Sans+JP&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Crimson+Text&family=Zen+Kurenaido&display=swap');
@import url('https://fonts.googleapis.com/css?family=Antic+Didone|Cagliostro');
@import url('https://fonts.googleapis.com/css2?family=Charmonman:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&display=swap');
@font-face
{
font-family:"ロゴたいぷゴシック-コンデンスド" ;
src: url('https://cdn.leafscape.be/LogoTypeGothicCondense/07LogoTypeGothic-Condense_web.woff2')
     format("woff2");
}


* {
    width: 100%;
    padding: 0;
    box-sizing: border-box;
    font-weight: 400;
    font-family: 'Noto Sans JP', sans-serif;
}

body {
    width: 100%;
    margin: 0 auto;
    background-color: #f5f5f5;
    text-align: justify;
    word-break: break-all;
    line-height: 26px;
    letter-spacing: 0.1em;
    font-size: 13px;
    color: #555;
}

a {
    text-decoration: none;
}

#navToggle {
    display: block;
    position: fixed;
    top: 3%;
    right: 3%;
    z-index: 9999;
    width: 30px;
    height: 20px;
}

#navToggle div {
    position: relative;
}

#navToggle span {
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    background: #aaa;
    transition: 0.5s ease-in-out;
}

#navToggle span:nth-child(1) {
    top: 0px;
}

#navToggle span:nth-child(2) {
    top: 10px;
}

#navToggle span:nth-child(3) {
    top: 20px;
}

.open #navToggle span:nth-child(1) {
    top: 12px;
    transform: rotate(135deg);
    background: #f5f5f5;
}

.open #navToggle span:nth-child(2) {
    background-color: transparent;
}

.open #navToggle span:nth-child(3) {
    top: 12px;
    transform: rotate(-135deg);
    background: #f5f5f5;
}

nav {
    color: #ddd;
    text-align: center;
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    right: 0;
    padding: 10vh 0;
    width: 100%;
    max-width: 700px;
    height: 100vh;
    height: 100svh;
    background-color: #aaa;
}

nav h1 {
    margin-bottom: 1em;
}

nav ul {
    margin: 0 auto 3em;
    width: 80%;
    list-style-type: none;
}

nav ul li:first-of-type {
    border-top: thin solid #f5f5f5;
}

nav ul li {
    padding: 1em 0;
    border-bottom: thin solid #f5f5f5;
}

nav ul li a {
    text-decoration: none;
    font-size: 1.2em;
    color: #f5f5f5;
}

nav ul li a:hover {
    color: #ccc;
}

nav,
nav a {
    font-family: 'Cagliostro', verdana, sans-serif;
    font-size: 1.1em;
}

nav a {
    margin: 0 0.2em 0 0.2em;
    color: #f5f5f5;
}

header {
    position: relative;
    margin: 3em auto 1.5em;
    background: url('../img/top.png') center/cover no-repeat;
    max-width: 600px;
    width: 350px;
    height: 300px;
    text-align: center;
}

header h1,
.menu {
    position: absolute;
}

footer {
    text-align: center;
    margin: 1em 0 1.5em;
}

footer a, footer a:visited {
    color: #778899;
}

footer a:hover {
    color: #b5abc9;
}

.top {
    position: relative;
    margin: 3em auto 1.5em;
    text-align: center;
}

.top h1 {
    font-size: 2em;
    font-family: 'Cagliostro', verdana, sans-serif;
    font-weight: normal;
    letter-spacing: 0.1em;
}

.top a, .top a:visited {
    color: #778899;
    text-decoration: none;
    font-family: 'Cagliostro', verdana, sans-serif;
}

.top a:active,
.top a:hover {
    color: #b5abc9;
    text-decoration: none;
}

.name a {
    background-color: #fff;
    padding: 5px 13px;
    text-decoration: none;
}

.name a:hover {
    background-color: #f5f5f5;
    transition: .6s;
}

h1 {
    font-size: 18px;
    font-family:"ロゴたいぷゴシック-コンデンスド", verdana, sans-serif;
    font-weight: normal;
    letter-spacing: 0.3em;
}

.menu ul a,
aside,
section h2,
section h3 {
    letter-spacing: 1px;
    font-family: 'Cagliostro', verdana, sans-serif;
}

.menu ul a {
    text-decoration: none;
    font-size: 15px;
    line-height: 3em;
    text-shadow: 0 0 1px #fff;
    color: #778899;
    background-color: rgb(255, 255, 255, 0.5);
    margin: 0 0.6em;
    padding: 0 0.5em;
}

.menu ul a:hover {
    color: #fff;
}

header h1 {
    text-shadow: 0 0 1px #fff;
    color: transparent;
    top: 40%;
    width: 100%;
    z-index: 50;
    font-size: 3em;
}

.menu {
    width: 100%;
    bottom: 5%;
    z-index: 150;
}

.menu ul {
    list-style-type: none;
}

aside {
    margin: 1em auto;
    text-align: center;
}

section {
    margin: 0 auto;
    padding: 2em;
}

.none {
     visibility: hidden;
}

section h2,
section h3 {
    font-weight: normal;
}

section h2 {
    position: relative;
    max-height: 25px;
    height: 50%;
    background-color: #e8e8e8;
    border-bottom: none;
    margin-bottom: 4em;
}

section h2 span {
    color: #555;
    position: absolute;
    left: 0;
    top: 0.1em;
    margin: 0 auto;
    text-align: center;
    font-color: #333;
    font-size: 1em;
    font-family: 'Cagliostro', verdana, sans-serif;
    background-color: #e8e8e8;
}

section h3 {
    font-family:  'Cagliostro', "ロゴたいぷゴシック-コンデンスド", verdana, sans-serif;
    padding-left: 0.5em;
    border-left: 2px solid #8781b3;
    font-size: 1.5em;
    line-height: 1em;
    margin-bottom: 1em;
}

section .box {
    white-space: pre-wrap;
    margin: 6em auto 3.5em;
    padding: 0 1%;
}

section a, section a:visited {
    color: #555;
    background: linear-gradient(transparent 70%, #dddded 70%);
}

section a:hover {
    color: #b5abc9;
}

section span {
    color: #999;
    font-size: 12px;
    margin-left: 1em;
}

section m {
    color: #999;
    font-size: 12px;
}

.m {
    color: #999;
    font-size: 12px;
    margin-bottom: 1em;
}

.check {
    position: relative;
    width: 70%;
    text-align: center;
    margin: -1em auto 2.5em;
}

.check span {
    color: #555;
    font-size: 13px;
}

.check::before,
.check::after {
    position: absolute;
    content: '';
    display: block;
    width: 15px;
    height: 25px;
}

.check::before {
    top: -0.5em;
    left: 0;
    border-top: thin solid #555;
    border-left: thin solid #555;
}

.check::after {
    right: 0;
    bottom: -0.5em;
    border-right: thin solid #555;
    border-bottom: thin solid #555;
}

section label {
    color: #a1a7b5;
    margin-bottom: 1em;
    padding: 0.2em 0.3em;
    background-color: #e8e8e8;
}

section mark {
    color: #555;
    margin-bottom: 1em;
    padding: 0.2em 0.3em;
    background-color: #fff;
}

section em {
    font-style: normal;
    border-bottom: thin dashed #9e97cc;
}

section strong {
    font-weight: bold;
    color: #827ab5;
}

section .borderright {
    margin-right: 0.5em;
    padding-right: 0.5em;
    border-right: 5px solid #9f99c4;
}

.button {
    letter-spacing: 0.1em;
    color: #f5f5f5;
    padding: 0.4em 0.5em;
    margin-top: 1.5em;
    background-color: #778899;
    border: thin solid #778899;
    border-radius: 2px;
    width: 90px;
}

.button:hover {
    color: #555;
    background-color: #fff;
    border: thin solid #fff;
    transition: .8s;
}

textarea,
input[type] {
    letter-spacing: 0.2em;
    padding: 0.4em 0.5em;
    background-color: #fff;
    border: thin solid #778899;
    border-radius: 2px;
    width: 90px;
    margin: 0.2em 0.5em 0.4em auto;
}

input[type=text] {
    width: 100px;
    height: auto;
    padding: 0.4em;
    padding-left: 0.8em;
}

input[type=submit] {
    width: auto;
    height: auto;
    padding: 0.5em;
    background-color: #778899;
}

/* IE,Edge用 */
@media all and (-ms-high-contrast: none) {

    h1,
    .menu a {
        color: #fff;
    }
}

@supports (-ms-ime-align:auto) {

    header h1,
    .menu ul a {
        color: #fff;
    }
}

@media screen and (min-width:768px) {

    body {
        font-size: 14px;
    }

    main {
        flex-wrap: wrap;
        justify-content: space-between;
        max-width: 100vw;
        width: 650px;
        margin: 0 auto;
    }

    header {
        max-width: 700px;
        width: 650px;
        height: 300px;
    }

    header h1 {
        font-size: 35px;
    }

    section h2 {
        position: relative;
        max-height: 25px;
        height: 50%;
        text-align: center;
        background-color: #e8e8e8;
        border-bottom: none;
        margin-bottom: 1em;
        line-height: 1em;
    }

    .menu ul a {
        font-size: 23px;
        line-height: 23px;
    }

    aside {
        font-size: 15px;
    }

    section {
        flex-basis: 50%;
        padding: 2em;
        line-height: 2em;
    }

    .check span {
        font-size: 14px;
    }
}